de.esprit.common.gui.gridbag

## Enum Fill

- java.lang.Object
- - java.lang.Enum<Fill>
  - - de.esprit.common.gui.gridbag.Fill

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Fill>

      public enum Fill
      extends java.lang.Enum<Fill>

  This enum models the GridBagConstraints anchor values
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `B`
    `BOTH`
    `H`
    `HORIZONTAL`
    `NONE`
    `V`
    `VERTICAL`
    `X`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `intValue()`
    `static Fill` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Fill[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### H

          public static final Fill H

    - #### HORIZONTAL

          public static final Fill HORIZONTAL

    - #### V

          public static final Fill V

    - #### VERTICAL

          public static final Fill VERTICAL

    - #### B

          public static final Fill B

    - #### BOTH

          public static final Fill BOTH

    - #### X

          public static final Fill X

    - #### NONE

          public static final Fill NONE

  - ### Method Detail

    - #### values

          public static Fill[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Fill c : Fill.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Fill valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### intValue

          public int intValue()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.